package fglrx-updates 2:13.350.1-0ubuntu2 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1

Bug #1425724 reported by Ron Salomon on 2015-02-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned

Bug Description

running 14.04, screen colors inverted with high saturation, text unusable. Video driver updated to fglrx and worked ok for several days, then started giving black screen before reaching login dialogue.
Removal and update of the fglrx driver now giving current error msgs of not finding the fglrx.

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: fglrx-updates 2:13.350.1-0ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-45.74-generic 3.13.11-ckt13
Uname: Linux 3.13.0-45-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.7
AptOrdering:
 fglrx-updates: Install
 fglrx-amdcccle-updates: Install
 fglrx-updates: Configure
 fglrx-amdcccle-updates: Configure
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Wed Feb 25 16:03:02 2015
DistUpgraded: 2014-04-27 18:51:21,276 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 bbswitch, 0.7, 3.13.0-40-generic, x86_64: installed
 bbswitch, 0.7, 3.13.0-43-generic, x86_64: installed
 bbswitch, 0.7, 3.13.0-44-generic, x86_64: installed
 bbswitch, 0.7, 3.13.0-45-generic, x86_64: installed
 fglrx-updates, 13.350.1, 3.13.0-45-generic, x86_64: installed
DpkgTerminalLog:
 Preparing to unpack .../fglrx-updates_2%3a13.350.1-0ubuntu2_amd64.deb ...
 One or more files have been altered since installation.
 Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for details.
 dpkg: error processing archive /var/cache/apt/archives/fglrx-updates_2%3a13.350.1-0ubuntu2_amd64.deb (--unpack):
  subprocess new pre-installation script returned error exit status 1
DuplicateSignature: package:fglrx-updates:2:13.350.1-0ubuntu2:subprocess new pre-installation script returned error exit status 1
ErrorMessage: subprocess new pre-installation script returned error exit status 1
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Turks GL [FirePro V4900] [1002:6749] (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:240a]
InstallationDate: Installed on 2014-02-22 (368 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: Dell Inc. Precision T7610
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-45-generic root=UUID=caba5aff-b2c8-4212-82a1-9e466172a53c ro quiet splash
SourcePackage: fglrx-installer-updates
Title: package fglrx-updates 2:13.350.1-0ubuntu2 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1
UpgradeStatus: Upgraded to trusty on 2014-04-27 (303 days ago)
dmi.bios.date: 09/05/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0NK70N
dmi.board.vendor: Dell Inc.
dmi.board.version: A03
dmi.chassis.type: 7
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd09/05/2013:svnDellInc.:pnPrecisionT7610:pvr01:rvnDellInc.:rn0NK70N:rvrA03:cvnDellInc.:ct7:cvr:
dmi.product.name: Precision T7610
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11.3+14.04.20150122-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.56-1~ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.3
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Wed Feb 25 16:09:10 2015
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Power Button KEYBOARD, id 7
 input DELL Dell USB Entry Keyboard KEYBOARD, id 8
 input Logitech USB Optical Mouse MOUSE, id 9
 input AT Translated Set 2 keyboard KEYBOARD, id 10
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.1-0ubuntu2.7
xserver.video_driver: radeon

Ron Salomon (rsalomon-a) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.